Subject: Re: [RFC] git rev-contains [Was: merge -s ffonly]

From: Andreas Ericsson <[email-masked]>
Date: Wed, 08 Oct 2008 08:18:48 +0200

Uwe Kleine-König wrote:
> Hello,
> 
>> +	if test -n "$(git rev-list $1..HEAD)"
> I already wrote similar tests and I wonder if this couldn't be done in a
> new builtin command more effectively.  Something like
> 
> 	git rev-contains HEAD "$1"
> 
> .  I expect it to be faster and maybe it prevents a command line
> overflow?!  (I remember something like 32000 chars max in a command, but
> I could not trigger that with bash.)
> 

On Linux (well, on my system anyways), it's 128K for arguments and
environment combined.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231